Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFrame.Shadow

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFrame.Shadow

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFrame

    public static final class QFrame.Shadow

extends java.lang.Enum
implements QtEnumerator

This enum type defines the types of shadow that are used to give a 3D effect to frames. Shadow interacts with `QFrame::Shape` , the lineWidth() and the midLineWidth(). See the picture of the frames in the main class documentation.

See also:
  `QFrame::Shape` , lineWidth(), and midLineWidth().

See Also:
  Serialized Form

Field Summary
`static QFrame.Shadow` | `CustomEnum`
`static QFrame.Shadow` | `Plain` the frame and contents appear level with the surroundings; draws using the palette foreground color (without any 3D effect)
`static QFrame.Shadow` | `Raised` the frame and contents appear raised; draws a 3D raised line using the light and dark colors of the current color group
`static QFrame.Shadow` | `Sunken` the frame and contents appear sunken; draws a 3D sunken line using the light and dark colors of the current color group

Method Summary
`static QFrame.Shadow` | `resolve(int value)` Returns the QFrame$Shadow constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.Shadow` | `valueOf(java.lang.String name)`
`static QFrame.Shadow[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Plain

    public static final QFrame.Shadow Plain

  the frame and contents appear level with the surroundings; draws using the palette foreground color (without any 3D effect)

### Raised

    public static final QFrame.Shadow Raised

  the frame and contents appear raised; draws a 3D raised line using the light and dark colors of the current color group

### Sunken

    public static final QFrame.Shadow Sunken

  the frame and contents appear sunken; draws a 3D sunken line using the light and dark colors of the current color group

### CustomEnum

    public static final QFrame.Shadow CustomEnum

Method Detail

### values

    public static QFrame.Shadow[] values()

### valueOf

    public static QFrame.Shadow valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.Shadow resolve(int value)

  Returns the QFrame$Shadow constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD